@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap");

html {
  scroll-behavior: smooth;
}

*,
*::before,
*::after,
a,
span {
  font-family: "Poppins", sans-serif;
}

#header {
  background: white;
  border-radius: 15px;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
  margin: 20px;
}

#header .header-nav {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 25px 30px;
  border-radius: 30px;
}

.header-nav #header-name {
  text-decoration: none;
  color: black;
  font-weight: 600;
  font-size: 1.3rem;
}

.header-nav ul li {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 7px;
  font-size: 0.9rem;
}

.header-nav ul li a {
  color: gray;
}

.header-nav ul li a:hover {
  opacity: 0.8;
}

a {
  text-decoration: none;
}

.section,
#footer {
  margin: 20px;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
  padding: 30px;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.section .section-header {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.section-header h2 {
  font-size: 1.5rem;
  font-weight: 600;
}

.section-header p {
  font-size: 1rem;
  font-weight: 400;
}

#about-me {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#github-profile-picture {
  height: 350px;
  width: 350px;
  border-radius: 100%;
}

#about-me-description {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
}

#about-me-description .about-me-names {
  display: flex;
  gap: 4px;
  align-items: flex-end;
}

.about-me-names #about-me-name {
  font-size: 1.4rem;
  font-weight: 600;
  font-family: "Press Start 2P", system-ui;
}

.about-me-names #about-me-username {
  font-size: 0.8rem;
  color: rgb(148, 148, 148);
}

#about-me-description #about-me-bio {
  color: rgb(83, 83, 83);
  font-size: 0.9rem;
}

.btn {
  padding: 7px 20px;
  border: none;
  border-radius: 7px;
  font-size: 0.8rem;
  background: none;
}

.btn:hover {
  opacity: 0.7;
  cursor: pointer;
}

.btn:active {
  opacity: 0.4;
}

.btn-primary {
  background-color: rgb(255, 255, 255);
  border: 1px solid rgb(236, 236, 236);
  color: rgb(90, 90, 90);
}

.skills-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.skill {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
  border-radius: 20px;
  padding: 20px;
  gap: 20px;
  height: 200px;
  position: relative;
}

.skill span {
  font-size: 1.3rem;
  font-weight: 600;
  margin-bottom: 30px;
}

.skill-picture {
  height: 150px;
  width: 150px;
  object-fit: cover;
}

.skill .skill-emoji {
  position: absolute;
  top: 0;
  right: 0;
  margin: 20px;
  font-size: 1.5rem;
  background: rgba(255, 255, 255, 0.1);
  padding: 15px;
  border-radius: 10px;
  user-select: none;
}

.skill-netcore {
  background: linear-gradient(to top, rgb(255, 238, 255), rgb(235, 183, 235));
  color: rgb(175, 108, 175);
}

.skill-csharp {
  background: linear-gradient(to top, rgb(238, 242, 255), rgb(183, 191, 235));
  color: rgb(108, 115, 175);
}

.skill-csharp img {
  height: 100px;
  width: 100px;
}

.soft-skill:nth-child(1) {
  background: linear-gradient(to top, rgb(255, 244, 238), rgb(235, 214, 183));
  color: rgb(175, 132, 108);
}

.soft-skill:nth-child(2) {
  background: linear-gradient(to top, rgb(239, 255, 238), rgb(195, 235, 183));
  color: rgb(129, 175, 108);
}

.soft-skill:nth-child(3) {
  background: linear-gradient(to top, rgb(255, 255, 238), rgb(235, 234, 183));
  color: rgb(168, 161, 94);
}

.soft-skill .skill-picture {
  height: 100px;
  width: 100px;
}

#projects-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.project {
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  border-radius: 10px;
}

.project-header {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.project-name {
  font-weight: 500;
  font-size: 1rem;
}

.project-description {
  font-size: 0.8rem;
}

.project-topics {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.project-topic {
  padding: 4px 10px;
  border-radius: 7px;
  font-size: 0.75rem;
}

.topic-angular {
  border: 1px solid rgb(252, 197, 197);
  background-color: rgb(255, 231, 231);
  color: rgb(223, 132, 132);
}

.topic-css {
  border: 1px solid rgb(197, 223, 252);
  background-color: rgb(231, 243, 255);
  color: rgb(132, 194, 223);
}

.topic-default {
  border: 1px solid rgb(240, 252, 197);
  background-color: rgb(255, 251, 231);
  color: rgb(217, 223, 132);
}

.topic-netcore {
  border: 1px solid rgb(235, 202, 253);
  background-color: rgb(243, 224, 255);
  color: rgb(190, 132, 223);
}

.project-actions {
  display: flex;
  justify-content: end;
  margin-top: 10px;
}

#aside {
  position: fixed;
  transform: translate(-50%, -50%);
  top: 93%;
  left: 50%;
  background: rgb(255, 255, 255);
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
  border: 1px solid rgb(243, 243, 243);
  padding: 10px 10px;
  border-radius: 20px;
}

#aside nav ul li {
  display: flex;
  flex-direction: flex;
  gap: 25px;
}

#footer {
  align-items: center;
  gap: 5px;
}

#footer .github-profile-name {
  font-size: 0.9rem;
  font-weight: 500;
}

#footer .email-address {
  font-size: 0.8rem;
}

@media screen and (min-width: 800px) {
  .skills-container {
    display: flex;
    flex-direction: row;
  }

  .skill {
    width: 400px;
  }

  #about-me {
    flex-direction: row;
  }

  #header .header-nav {
    flex-direction: row;
  }

  .header-nav ul li {
    flex-direction: row;
  }

  #aside {
    position: fixed;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 0;
    margin-left: 20px;
    background: rgb(255, 255, 255);
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.05);
    border: 1px solid rgb(243, 243, 243);
    padding: 30px 10px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  #aside nav ul li {
    display: flex;
    flex-direction: column;
    gap: 25px;
  }

  #projects-container {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .project {
    width: 400px !important;
  }
}
